%define rel	3

Summary:	Console-based live network and disk io bandwidth monitor
Name:		bwm-ng
Version:	0.6.3
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Monitoring
URL:		https://gropp.org/?id=projects&sub=bwm-ng
Source:		https://github.com/vgropp/bwm-ng/archive/v%{version}/bwm-ng-%{version}.tar.gz
Patch0:		bwm-ng-0.6.3-git-format-literal.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libstatgrab) >= 0.91

%description
Bandwidth Monitor NG is a small and simple console-based live
network and disk io bandwidth monitor for Linux, BSD, Solaris, Mac
OS X and others.

Short list of features:
- supports /proc/net/dev, netstat, getifaddr, sysctl, kstat,
  /proc/diskstats, /proc/partitions, IOKit, devstat and libstatgrab
- unlimited number of interfaces/devices supported
- interfaces/devices are added or removed dynamically from list
- white-/blacklist of interfaces/devices
- output of KB/s, Kb/s, packets, errors, average, max and total sum
- output in curses, plain console, CSV or HTML
- configfile

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
	--disable-silent-rules \
	--enable-64bit \
	--enable-netstatbyte \
	--enable-netstatlink \
	--with-ncurses \
	--with-getopt_long \
	--with-partitions \
	--with-procnetdev \
	--with-netstatlinux \
	--with-libstatgrab
%make_build

%install
%make_install

%files
%doc README AUTHORS ChangeLog NEWS THANKS bwm-ng.conf-example bwm-ng.css
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.6.3-3.mga10
+ Revision: 2214781
- Mageia 10 Mass Rebuild

* Wed Jul 20 2022 umeabot <umeabot> 0.6.3-2.mga9
+ Revision: 1869517
- Mageia 9 Mass Rebuild

* Mon Mar 08 2021 daviddavid <daviddavid> 0.6.3-1.mga9
+ Revision: 1700585
- new version: 0.6.3

* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-2.mga8
+ Revision: 1522782
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 07 2019 daviddavid <daviddavid> 0.6.2-1.mga7
+ Revision: 1363935
- new version: 0.6.2
- remove merged upstream patch

* Sat Sep 22 2018 umeabot <umeabot> 0.6.1-2.mga7
+ Revision: 1295750
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 daviddavid <daviddavid> 0.6.1-1.mga7
+ Revision: 1253681
- new version: 0.6.1
- rebuild for new libstatgrab 0.91

* Sat Feb 13 2016 umeabot <umeabot> 0.6-9.mga6
+ Revision: 959647
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.6-8.mga6
+ Revision: 896258
- add -stdc=gnu89 to CFLAGS (Work-around to c11/inline compatibility)

* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 749394
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-6.mga5
+ Revision: 678256
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-5.mga4
+ Revision: 503172
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6-4.mga3
+ Revision: 347244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 anssi <anssi> 0.6-3.mga1
+ Revision: 19607
- imported package bwm-ng


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-3mdv2011.0
+ Revision: 610088
- rebuild

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2010.1
+ Revision: 501440
- fix build (fmt+retvalues.patch from upstream)
- build with libstatgrab support

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2009.0
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Anssi Hannula <anssi@mandriva.org> 0.6-1mdv2008.1
+ Revision: 114538
- initial Mandriva release

